html {
    background: #000;
    color: #fff;

    font-family: monospace;
}

body {
    margin: 0;
    padding: 0;
}

main {
    max-width: 40rem;

    margin: 0 auto;
}

section.heading {
    margin: 6rem 0;
}

img.avatar {
    width: 6rem;

    border-radius: 3rem;

    box-shadow: 0 0 0.5rem 0 rgba(0,0,0,0.5);
}

h1.title {
    text-transform: uppercase;
    }

h3.heading {
    text-transform: uppercase;
    margin-top: 4rem;
}

h2.subtitle {
    font-weight: normal;
    text-decoration: underline;
}

section.heading>.leftside {
}

nav {
    border: 3px solid #824;
    border-top: none;

    width: calc(100% - 6px);

    text-align: center;

    border-radius: 0 0 3px 3px;
}

nav>ul {
    margin: 0;
    padding: 0;
}

nav>ul li {
    list-style: none;
    display: inline-block;

    margin: 0;
    padding: 1rem;
}

nav>ul a {
    padding: 1rem;
}

nav>ul a:hover {
    cursor: pointer;
    background: linear-gradient(to top, #824, #624);
}

a {
    color: white;
    text-transform: uppercase;

    font-size: 1.25rem;
}

.clearfix {
    clear: both;
}

ul.posts li {
    position: relative;

    border-radius: 3px;

    list-style: none;

    margin: 1rem;
    padding: 1rem;

    background: linear-gradient(to right, #c24, #824);
}

a.more {
    position: relative;

    border-radius: 3px;

    list-style: none;

    margin-right: 1rem;

    float: right;
}

ul.posts a:hover {
    cursor: pointer;
    background: #f24;
}

ul.posts a {
    display: inline-block;

    padding: 6px;
    margin-bottom: 0.25rem;
    border-radius: 6px;
    text-transform: none;
    text-decoration: underline;

    transition: background-color 250ms;
}

.clear {
    clear: both;
}

article {
    background: black;
    color: white;
    padding: 1rem;
    border-radius: 6px;

    font-size: 1.25rem;
}

article audio.soundtrack {
    width: 100%;

    margin-bottom: 4em;
}

span.date {
    position: absolute;
    right: 0.25rem;
    bottom: 0.25rem;

    font-size: 0.75rem;
}

video {
    max-width: 100%;
    height: auto;
}

img {
    max-width: 100%;
    height: auto;

    margin: 2em auto;

    display: block;

    border-radius: 4px;
}

pre {
    overflow-x: auto;

    padding: 0.5em;
    margin: 1em 0;

    border-radius: 4px;

    border: 1px solid #c24;

    background-color: transparent !important;

    transition: margin 0.3s ease;
}

/*
pre:hover {
    margin: 1em max(-40rem, calc(20rem - 50vw));
}
*/

p>code {
    font-family: monospace;
    font-style: italic;
    font-weight: bold;
}

p {
    line-height: 2em;
}

hr {
    color: white;

    margin: 4em 0;
}

blockquote p {
    border: 1px dashed white;
    padding: 0.5em;
}

article ol li {
    margin: 1.5em 0;
}

@media only screen and (max-width: 800px) {
    span.date {
        display: none
    }
}
